Return chain run properties

Return chain run properties#

Description#

Returns properties for a chain run with the provided ID, or a 404 if no such chain run is found.

GET /v1/execute/chain_run/{chain_run_id}

Parameters#

Parameter

In

Type

Required

Description

chain_run_id

path

string

true

The ID of the Chain Run.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/chain_run/{chain_run_id} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/chain_run/{chain_run_id} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/chain_run/{chain_run_id}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/execute/chain_run/{chain_run_id}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainRunResponse containing the ChainRun object that matches the provided chain_run_id.

Example Responses#

{
  "data": {
    "id": "1",
    "chainId": "37",
    "envId": "1154",
    "userId": "5",
    "userName": "dev23",
    "startAt": "2019-02-08 06:25:00",
    "endAt": "2019-02-12 06:25:00",
    "pausedAt": "2019-02-12 06:25:00",
    "resumedAt": "2019-02-12 06:25:00",
    "state": "sleeping",
    "launchType": "manual",
    "resultText": "success"
  }
}